## CCMDisplay CCMDisplay |

## Synopsis

    #define             CCM_DISPLAY_XDISPLAY                (obj)
                        CCMDisplay;
    CCMDisplay *        ccm_display_new                     (gchar *display);
    Display *           ccm_display_get_xdisplay            (CCMDisplay *self);
    CCMScreen *         ccm_display_get_screen              (CCMDisplay *self,
                                                             guint number);
    int                 ccm_display_get_shape_notify_event_type
                                                            (CCMDisplay *self);
    void                ccm_display_sync                    (CCMDisplay *self);
    void                ccm_display_grab                    (CCMDisplay *self);
    void                ccm_display_ungrab                  (CCMDisplay *self);
    void                ccm_display_trap_error              (CCMDisplay *self);
    gint                ccm_display_pop_error               (CCMDisplay *self);
    gboolean            ccm_display_report_device_event     (CCMDisplay *self,
                                                             CCMScreen *screen,
                                                             gboolean report);

## Object Hierarchy

      GObject
       +----CCMDisplay

## Properties

      "shm-shared-pixmap"        gboolean              : Read / Write
      "use-xdbe"                 gboolean              : Read
      "use-xshm"                 gboolean              : Read / Write
      "xdisplay"                 gpointer              : Read / Write / Construct Only

## Signals

      "cursor-changed"                                 : Run Last
      "damage-event"                                   : Run Last
      "event"                                          : Run Last

## Description

## Details

### CCM_DISPLAY_XDISPLAY()

    #define CCM_DISPLAY_XDISPLAY(obj)    (ccm_display_get_xdisplay (CCM_DISPLAY(obj)))

`obj` : |

### CCMDisplay

    typedef struct _CCMDisplay CCMDisplay;

### ccm_display_new ()

    CCMDisplay *        ccm_display_new                     (gchar *display);

`display` : |
Returns : |

### ccm_display_get_xdisplay ()

    Display *           ccm_display_get_xdisplay            (CCMDisplay *self);

`self` : |
Returns : |

### ccm_display_get_screen ()

    CCMScreen *         ccm_display_get_screen              (CCMDisplay *self,
                                                             guint number);

`self` : |
`number` : |
Returns : |

### ccm_display_get_shape_notify_event_type ()

    int                 ccm_display_get_shape_notify_event_type
                                                            (CCMDisplay *self);

`self` : |
Returns : |

### ccm_display_sync ()

    void                ccm_display_sync                    (CCMDisplay *self);

`self` : |

### ccm_display_grab ()

    void                ccm_display_grab                    (CCMDisplay *self);

`self` : |

### ccm_display_ungrab ()

    void                ccm_display_ungrab                  (CCMDisplay *self);

`self` : |

### ccm_display_trap_error ()

    void                ccm_display_trap_error              (CCMDisplay *self);

`self` : |

### ccm_display_pop_error ()

    gint                ccm_display_pop_error               (CCMDisplay *self);

`self` : |
Returns : |

### ccm_display_report_device_event ()

    gboolean            ccm_display_report_device_event     (CCMDisplay *self,
                                                             CCMScreen *screen,
                                                             gboolean report);

`self` : |
`screen` : |
`report` : |
Returns : |

## Property Details

### The `"shm-shared-pixmap"` property

      "shm-shared-pixmap"        gboolean              : Read / Write

SHM Shared Pixmap.

Default value: TRUE

### The `"use-xdbe"` property

      "use-xdbe"                 gboolean              : Read

Use Double Buffer Extension.

Default value: TRUE

### The `"use-xshm"` property

      "use-xshm"                 gboolean              : Read / Write

Use XSHM.

Default value: TRUE

### The `"xdisplay"` property

      "xdisplay"                 gpointer              : Read / Write / Construct Only

Display xid.

## Signal Details

### The `"cursor-changed"` signal

    void                user_function                      (CCMDisplay *ccmdisplay,
                                                            gpointer    arg1,
                                                            gpointer    user_data)       : Run Last

`ccmdisplay` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"damage-event"` signal

    void                user_function                      (CCMDisplay *ccmdisplay,
                                                            gpointer    arg1,
                                                            gpointer    user_data)       : Run Last

`ccmdisplay` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"event"` signal

    void                user_function                      (CCMDisplay *ccmdisplay,
                                                            gpointer    arg1,
                                                            gpointer    user_data)       : Run Last

`ccmdisplay` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.